curl --request GET \
--url https://app.sajn.se/api/v1/companies/lookup \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'import requests
url = "https://app.sajn.se/api/v1/companies/lookup"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://app.sajn.se/api/v1/companies/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"basic": {
"name": "<string>",
"orgNr": "<string>",
"lastUpdated": "<string>",
"status": "<string>"
},
"contact": {
"phoneNumbers": [
"<string>"
],
"address": {
"careOf": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>"
}
},
"legalInfo": {
"orgNumber": "<string>",
"companyName": "<string>",
"companyForm": "<string>",
"domicile": "<string>",
"registration": {
"companyFormed": "<string>",
"companyRegistered": "<string>",
"registrationDate": "<string>",
"articlesOfAssociation": "<string>"
}
},
"taxInfo": {
"employer": "<string>",
"fTax": "<string>",
"vat": "<string>",
"vatNumber": "<string>"
},
"business": {
"sni": [
"<unknown>"
],
"activityDescription": "<string>",
"companySignature": "<string>"
},
"responsiblePersons": {
"executives": [
{
"name": "<string>",
"role": "<string>",
"personId": "<string>",
"age": 123,
"personUrl": "<string>"
}
],
"board": [
{
"name": "<string>",
"role": "<string>",
"personId": "<string>",
"age": 123,
"personUrl": "<string>"
}
],
"auditors": [
{
"name": "<string>",
"role": "<string>",
"personId": "<string>",
"age": 123,
"personUrl": "<string>"
}
],
"owners": [
{
"name": "<string>",
"personId": "<string>",
"age": 123,
"role": "<string>",
"personUrl": "<string>",
"control": "<string>"
}
]
},
"location": {
"latitude": 123,
"longitude": 123
}
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}Lookup company in external registry
Look up a company in the external company registry by organization number and retrieve detailed information including signatories.
Query Parameters:
orgNr(required) - Organization number to search for
Response includes:
- Basic company info (name, status, org number)
- Contact information (phone, address)
- Legal information (company form, domicile, registration dates)
- Tax information (VAT registration, verified against the EU VIES registry;
employerandfTaxare not currently populated) - Business info (SNI codes, activity description, company signature)
- Responsible persons (executives, board members, auditors, owners)
- Location coordinates
Rate Limit: This endpoint is rate limited to 2 requests per minute.
Note: This searches an external registry, not your local workspace companies. Results are cached for 3 days.
2026-09, which is deprecated and stops working on October 1, 2027. To see the current version, select 2026-10 in the menu at the top of the sidebar. To move your integration, see Upgrading to 2026-10.Authorizations
Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
Headers
Bearer token for API authentication
Query Parameters
Response
Company details from external registry including signatories
Company details from external registry including signatories
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

